Projet banni de Travis ?

L'auteur de ce sujet a trouvé une solution à son problème.
Auteur du sujet

Bonjour tout le monde,

Voilà, je me tourne vers vous parce que je rencontre un problème qui n'a pas de sens à mes yeux et les ressources que je trouve sur Internet ne m'aident pas (elles sont presque inexistantes). Voici mon problème :

Je bosse sur un projet Java avec comme gestionnaire de dépendances Maven. Ce projet est disponible sur GitHub et a été configuré avec un Travis. Jusque là, rien de bien sorcier et le projet roule depuis un moment maintenant. Mais voilà, du jour au lendemain, Travis a cessé de fonctionner correctement alors que je n'avais jamais eu de problème avant avec ce serveur d'intégration continue. Ci-dessous, l'erreur que j'obtiens :

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
Running spoon.test.constructorcallnewclass.ConstructorCallTest
Killed
Results :
Tests run: 326, Failures: 0, Errors: 0, Skipped: 0
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Skipping Spoon Core
[INFO] This project has been banned from the build due to previous failures.
[INFO] ------------------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 01:23 min
[INFO] Finished at: 2016-02-05T10:34:06+00:00
[INFO] Final Memory: 22M/372M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.12.4:test (default-test) on project spoon-core: Execution default-test of goal org.apache.maven.plugins:maven-surefire-plugin:2.12.4:test failed: The forked VM terminated without saying properly goodbye. VM crash or System.exit called ? -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginExecutionException

Comme vous pouvez le voir, mes tests sont stoppés et Maven me dit que mon projet a été bannit. Le plus surprenant, c'est que la même branche (au commit près) fonctionnait bien. Cette erreur est survenue du jour au lendemain et survient, un peu au hasard, pendant l'exécution de mes tests.

Si quelqu'un a déjà rencontré ce problème, je serais preneur parce que mes recherches sont vaines.

Merci d'avance !

Édité par Andr0

+0 -0
Staff

J'ai forké et lancé le build sur travis. Et de mon coté le build passe (à condition que je ne pousse pas sur coveralls).

Donc, je pense que le problème vient soit du plugin maven pour coveralls (ce qui me surprendrais quand même car je l'utilise sur un projet et il marche bien), soit il faut vérifier dans les settings du dépôt principal que le projet est bel et bien lié à coveralls. Je dirais même qu'il faut refaire la syncrho pour en être certain.

Staff

Cette réponse a aidé l'auteur du sujet

ça devient carrément surréaliste là. Je n'arrive pas à comprendre comment il builde chez moi et pas chez toi. Mais la raison de ton nouveau failed ne semble pas être la même que celui de départ.

J'aurai tendance à dire que quelque chose est cassé chez toi, mais je ne saurais dire quoi. Tu as déjà essayé sans docker (c'est à dire en virant le sude : false ) ?

Auteur du sujet

ça devient carrément surréaliste là.

Et tu ne sais pas tout. Récemment, le projet est sorti dans sa version 5.0.0. La version précédente, la 4.4.1, passait sur Travis, tout comme la version 5.0.0 d'ailleurs. Puis, il y a eu une version 5.0.1 qui passait aussi (l'historique des builds des releases ici).

Mais, tout d'un coup, les builds ne sont plus passés. Les dernières PR ne passent plus, la version 5.0.0 ne passe plus mais la version 4.4.1 passe toujours. C'est juste incompréhensible …

Tu as déjà essayé sans docker (c'est à dire en virant le sude : false ) ?

J'ignore les raisons mais ça semble passer en effet …

+0 -0
Staff

Pour le coup, je suis tout aussi étonné que toi. J'aurai tendance à dire que le problème pourrait venir du cache (et même là je suis même pas sur).

Bref, je te conseillerai d'éviter de faire du cache de dépendance comme ça, surtout quand on fait évoluer les versions on ne sait jamais comment ça se comporte en derrière.

Auteur du sujet

Le cache ne semble pas être la cause. Je suis revenu à un état synchro avec la branche master de mon upstream et j'ai simplement retiré sudo: false = Le build est au vert.

Je ne comprends pas l'erreur mais comme j'ai besoin de retrouver un Travis vert, je m'en contenterais pour le moment.

En tout cas, merci de ton aide firm1 ! :)

+3 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte